#ifndef IMAGE_H_INCLUDED
#define IMAGE_H_INCLUDED

#include <string>
#include <opencv2/opencv.hpp>
#include "point.h"

class Image{
    std::string filename;
    cv::Mat img;
    Point position;
    Point crop1;
    Point crop2;
    double scale;
public:
    Image();
    Image(std::string _filename);
    ~Image();
    std::string getFilename();
    cv::Mat* getMat();
    Point getPosition();
    Point getCrop1();
    Point getCrop2();
    double getScale();
    void setScale(double _scale);
    void setFilename(std::string _filename);
    bool load();
    void setPosition(Point _position);
    void setCrop(Point _crop1, Point _crop2);
};

#endif // IMAGE_H_INCLUDED
